[arch-commits] Commit in python-aiobotocore/repos/community-any (PKGBUILD PKGBUILD)
Chih-Hsuan Yen
yan12125 at gemini.archlinux.org
Fri Jul 16 05:20:28 UTC 2021
Date: Friday, July 16, 2021 @ 05:20:27
Author: yan12125
Revision: 977538
archrelease: copy trunk to community-any
Added:
python-aiobotocore/repos/community-any/PKGBUILD
(from rev 977537, python-aiobotocore/trunk/PKGBUILD)
Deleted:
python-aiobotocore/repos/community-any/PKGBUILD
----------+
PKGBUILD | 94 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 47 insertions(+), 47 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2021-07-16 05:20:16 UTC (rev 977537)
+++ PKGBUILD 2021-07-16 05:20:27 UTC (rev 977538)
@@ -1,47 +0,0 @@
-# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
-
-pkgname=python-aiobotocore
-_pkgname=aiobotocore
-pkgver=1.3.2
-pkgrel=1
-pkgdesc='asyncio support for botocore library using aiohttp'
-arch=(any)
-url='https://github.com/aio-libs/aiobotocore'
-license=(Apache)
-depends=(python python-aiohttp python-botocore python-wrapt python-aioitertools)
-makedepends=(python-setuptools)
-checkdepends=(python-moto python-pytest python-pytest-asyncio
- # moto optdepends
- python-docker python-yaml python-flask python-flask-cors)
-source=("https://github.com/aio-libs/aiobotocore/archive/$pkgver/$pkgname-$pkgver.tar.gz")
-sha256sums=('131c89dd4264d5a3f5134dcf701ae309a3dd58770045d7b8cbd3aeb310c3c2de')
-
-prepare() {
- cd $_pkgname-$pkgver
-
- # Disable dependency pinning
- # Upstream tracking issue: https://github.com/aio-libs/aiobotocore/issues/670
- sed --in-place=.orig -r "s#'(botocore.*),<.*',#'\1',#" setup.py
- diff -u setup.py{.orig,} || true
-}
-
-build() {
- cd $_pkgname-$pkgver
- python setup.py build
-}
-
-check() {
- cd $_pkgname-$pkgver
-
- export PYTHONPATH="$PWD"
- # test_lambda uses moto.awslambda, which requires a running Docker service
- # See: https://github.com/spulec/moto/issues/3276
- pytest -m moto tests \
- --ignore=tests/test_patches.py \
- --ignore=tests/test_lambda.py
-}
-
-package() {
- cd $_pkgname-$pkgver
- python setup.py install --root="$pkgdir" --optimize=1 --skip-build
-}
Copied: python-aiobotocore/repos/community-any/PKGBUILD (from rev 977537, python-aiobotocore/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2021-07-16 05:20:27 UTC (rev 977538)
@@ -0,0 +1,47 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+
+pkgname=python-aiobotocore
+_pkgname=aiobotocore
+pkgver=1.3.3
+pkgrel=1
+pkgdesc='asyncio support for botocore library using aiohttp'
+arch=(any)
+url='https://github.com/aio-libs/aiobotocore'
+license=(Apache)
+depends=(python python-aiohttp python-botocore python-wrapt python-aioitertools)
+makedepends=(python-setuptools)
+checkdepends=(python-moto python-pytest python-pytest-asyncio
+ # moto optdepends
+ python-docker python-yaml python-flask python-flask-cors)
+source=("https://github.com/aio-libs/aiobotocore/archive/$pkgver/$pkgname-$pkgver.tar.gz")
+sha256sums=('2ea7fb706b718d5f2a616ebaf121fdb5508a063a6aaa19574035dbf49793f11d')
+
+prepare() {
+ cd $_pkgname-$pkgver
+
+ # Disable dependency pinning
+ # Upstream tracking issue: https://github.com/aio-libs/aiobotocore/issues/670
+ sed --in-place=.orig -r "s#'(botocore.*),<.*',#'\1',#" setup.py
+ diff -u setup.py{.orig,} || true
+}
+
+build() {
+ cd $_pkgname-$pkgver
+ python setup.py build
+}
+
+check() {
+ cd $_pkgname-$pkgver
+
+ export PYTHONPATH="$PWD"
+ # test_lambda uses moto.awslambda, which requires a running Docker service
+ # See: https://github.com/spulec/moto/issues/3276
+ pytest -m moto tests \
+ --ignore=tests/test_patches.py \
+ --ignore=tests/test_lambda.py
+}
+
+package() {
+ cd $_pkgname-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+}
More information about the arch-commits
mailing list